Name:		blokkal
Version:	0.1.2
Release:	1%{?dist}
Summary:	A KDE blogging client that supports multiple protocols and sites

Group:		Applications/Internet
License:	GPLv2+
URL:		http://blokkal.sourceforge.net/
Source0:	https://downloads.sourceforge.net/sourceforge/blokkal/files/Blokkal-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	kdepimlibs-devel
BuildRequires:	gettext

Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.3.0") | grep ^KDE | cut -d' ' -f2)

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Blokkal is a KDE blogging client that supports multiple protocols and 
blogging sites. The goal is to provide a uniform way to access the 
most-commonly-used blogging systems. It has been designed for a maximum 
of modularity allowing for easy extension.

Currently the following protocols are supported: 
LiveJournal
Blogger 1.0
Blogger/GData
MetaWeblog API
MovableType

Blokkal is capable of creating new entries as well as loading and editing 
entries that have already been posted into a blog. 
Additionally, new entries can be posted into multiple blogs at the same time 
and entries can be previewed before being posted. 
A couple of formatting options help to apply some common text formattings 
while editing the HTML-code of an entry, while syntax-highlighting aids in 
ensuring correct code. There exist dialogs that help inserting links and 
images, which can be dragged and dropped into the editor from other 
applications such as webbrowsers.

%package libs
Summary:	Blokkal libraries
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kdelibs%{?_isa} >= %{kde4_version}

%description libs
Blokkal libraries

%prep
%setup -q -n Blokkal-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name}

## unpackaged devel files
rm -f %{buildroot}%{_kde4_libdir}/libblokkalblogger.so
rm -f %{buildroot}%{_kde4_libdir}/libblokkalmwa.so
rm -f %{buildroot}%{_kde4_libdir}/libblokkal.so

%clean
rm -rf %{buildroot}

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%post libs -p /sbin/ldconfig

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun libs -p /sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
   update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-,root,root,-)
## No ChangeLog and README, they are zero-length
%doc AUTHORS COPYING
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_iconsdir}/crystalsvg/*/*/*.png
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_appsdir}/blokkal/
%{_kde4_appsdir}/blokkal_blogger/
%{_kde4_appsdir}/blokkal_gdata/
%{_kde4_appsdir}/blokkal_livejournal/
%{_kde4_appsdir}/blokkal_metaweblog/
%{_kde4_appsdir}/blokkal_movabletype/
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_datadir}/mime/packages/blokkal.xml

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/*.so*

%changelog
* Tue Oct 26 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.1.2-1
- New upstream version

* Tue Oct 13 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-5
- Removed unneeded requires
- Moved sed from check to prep (upstream is informed, fixed with next release)
- Commented the sed trickery until the next source update (removed then)
- Corrected Source0 URL
- Cleaned up desktop validation
- Removed doc dupes

* Tue Oct 13 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-4
- Removed unneeded BR
- Changed appsdir to blokkal/ to own the dir

* Sun Oct 04 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-3
- better use of macros (name)

* Mon Sep 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-2
- Changed to lowercase name for sanity

* Sun Sep 27 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-1
- Initial RPM release
